.contener-a {
  display: flex;
  flex-direction: column;
  height: auto;
}
.heder {
  height: 500px;
  background-color: #41578e;
}
.footer {
  height: auto;
  background-color: #41578e;
  color: white;
  justify-content: space-between;
  padding: 5px;
  padding-top: 20px;
}
.footlast {
  display: grid;
  grid-template-columns: repeat(2, 50px);
  gap: 20px;
  color: white;
  align-items: center;
  justify-content: center;
  font-size: large;
}
.footgrid {
  display: grid;
  grid-template-columns: 30% 30% 30%;
  height: 200px;
  justify-content: center;
}
.footlinks {
  display: flex;
  width: 80%;
  flex-direction: column;
  justify-content: space-around;
  text-align: center;
  font-size: larger;
}
.footcontact {
  justify-content: space-around;
  text-align: center;
  margin-top: 15px;
}
.child {
  margin: 2%;
  justify-content: space-around;
}
.profileinfo {
  display: flex;
  flex-direction: column;
  justify-content: center;
}

.mynavbar {
  width: auto;
  z-index: 5;
  position: fixed;
  display: flex;
  background-color: #36454f;
  color: white;
  height: 50px;
  border-bottom-left-radius: 25px;
  border-bottom-right-radius: 25px;
  font-size: larger;
  align-items: center;
  width: 100%;
  justify-content: space-around;
}
.hero {
  display: flex;
  color: white;
  align-items: center;
  height: 460px;
  justify-content: space-around;
}
.button {
  height: 30px;
  background-color: #ffffff;
  border: solid black white 3px;
  border-radius: 5px;
  width: 50%;
  color: #41578e;
}
button:hover {
  transform: scale(1.1);
  opacity: 90%;
  color: #36454f;
}
.flex1 {
  margin-top: 20px;
}
.about {
  display: grid;
  grid-template-columns: auto auto;
  grid-template-rows: auto 20px auto;
  place-items: center;
}
.g1,
.g2 {
  grid-column: 1/3;
  text-align: center;
  height: 40px;
  padding-bottom: 50px;
}
.g3,
.g4 {
  display: flex;
  flex-direction: column;
  margin: 15px;
  color: #41578e;
  align-items: center;
  border: solid #41578e 5px;
  border-radius: 25px;
  height: 320px;
  width: 60%;
  padding: 25px;
}
.g3 h2,
.g4 h2 {
  font-size: x-large;
  text-align: center;
}
.g3:hover,
.g4:hover {
  background-color: #41578e;
  transform: scale(1.03);
  color: #ffffff;
}
.card-body {
  background-color: #41578e;
  color: white;
}
.myhr {
  width: 50%;
  border: solid #41578e 5px;
  margin: auto;
  margin-top: 10px;
  margin-bottom: 10px;
  opacity: 100%;
}
.technologies {
  display: grid;
  grid-template-columns: 30% 30% 30%;
  grid-template-rows: 100px auto;
  justify-content: space-around;
}
.td1 {
  text-align: center;
  grid-column: 1/4;
  color: #41578e;
}
.td2,
.td3,
.td4 {
  color: white;
  width: 100%;
}
.myskills {
  margin-top: 20px;
  background-color: #41578e;
  font-size: 2em;
  border: solid #2d3a5ca9 4px;
  border-radius: 25px;
  text-align: center;
}

.myskills:hover {
  box-shadow: 5px 10px 10px rgba(1, 0, 0, 0.5),
    -5px -5px 10px rgba(18, 68, 138, 1.3);
  font-size: 2.2em;
  font-weight: 600;
}
* {
  margin: 0;
  padding: 0;
  box-sizing: content-box;
  /* font-familly: "Poppins", sans-serif; */
}
.container-b {
  position: relative;
  width: 100%;
  display: flex;
  align-items: center;
  justify-content: space-between;
  flex-warp: warp;
  padding: 30px;
}

.container-b .card {
  position: relative;
  max-width: 300px;
  height: 215px;
  background-color: #41578e;
  margin: 30px 10px;
  padding: 20px 15px;
  display: flex;
  flex-direction: column;
  box-shadow: 0 5px 20px rgba(0, 0, 0, 0.5);
  transition: 0.3s ease-in-out;
  border-radius: 15px;
}
.container-b .card:hover {
  height: 320px;
}

.container-b .card .image {
  position: relative;
  width: auto;
  height: 240px;
  top: -40%;
  left: 8px;
  z-index: 1;
}

.container-b .card .image img {
  max-width: 100%;
  border-radius: 15px;
}

.container-b .card .content {
  position: relative;
  top: -140px;
  padding: 10px 15px;
  color: #111;
  text-align: center;
  visibility: hidden;
  opacity: 0;
  transition: 0.3s ease-in-out;
}

.container-b .card:hover .content {
  margin-top: 30px;
  visibility: visible;
  opacity: 1;
  transition-delay: 0.2s;
}
.anker {
  text-decoration: none;
  color: white;
}
.profileimg img {
  height: 400px;
  width: 400px;
  border-radius: 50%;
  margin-top: 50px;
}

@media screen and (max-width: 700px) {
  .profileimg img {
    width: 200px;
    height: 200px;
  }

  .hero {
    flex-direction: column;
    padding-top: 50px;
  }
  h2 {
    font-size: 1000;
  }
  h3 {
    font-size: 800;
  }
  .container-b {
    flex-direction: column;
  }
  .g3 h2,
  .g4 h2 {
    font-size: large;
  }
  .g3,
  .g4 {
    height: 400px;
  }
  .technologies {
    display: flex;
    flex-direction: column;
    align-items: center;
  }
  .g3,
  .g4 {
    height: fit-content;
  }
  .about {
    display: flex;
    flex-direction: column;
  }
  .mynavbar {
    font-size: medium;
  }
}
form {
  margin: 0 auto;
  border: 1px solid #ccc;
  background-color: #41578e ;
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  padding: 30px;
  height: 300px;
}

form h2 {
  text-align: center;
}

form input {
  width: 100%;
  margin-bottom: 10px;
  border: none;
  background-color: #41578e;
  border-bottom: solid white 2px;
  color: white;
}

form input[type="submit"] {
  background-color: #ffffff;
  color: #41578e;
  border: none;
}
.my-icons {
  font-size: xx-large;
}
.typewriter h1 {
  overflow: hidden; /* Hide overflow text */
  white-space: nowrap; /* Prevent text from wrapping */
  animation: typing 3s steps(40, end) 1s infinite alternate-reverse; /* Animation properties */
}


@keyframes typing {
  from {
    width: 0;
  }
  to {
    width: 100%;
  }
}
